Jira Javascript Error-Message

Since a few days, our jira installation has a little bug. It always shows an error popup when editing an issue, logging work, etc. Generally spoken, the error box is shown whenever an interactive editor popup is raised.

The message is: "Can not load applicable version list of project: undefined for components::error"

By debugging the web-application with a javascript-console, we find out, that the error was raised by:

https://our.company.com:8444/rest/com.deniz.jira.mapping/latest/applicable_versions?projectKey=&_=1393250473051404 (Not Found) batch.js:26

Failed to retreive applicable version list of project:undefined for components::error

Any ideas?

1 answer

1 accepted

1 vote
Accepted answer

Hmm. That looks like it's due to a plugin (one that ties versions and components together). Do you have https://marketplace.atlassian.com/plugins/com.deniz.jira.versioninginstalled? If so, I suspect the problem is in that

Also, can you check the project components - basically, does it have any at all? If not, then does the behaviour of the error change if you add one?

Thank you very much, Nic! You made my day - and our developers say thank you, to you!

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Jan 08, 2019 in Jira

How to Jira for designers

I’m a designer on the Jira team. For a long time, I’ve fielded questions from other designers about how they should be using Jira Software with their design team. I’ve also heard feedback from other ...

889 views 3 9
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you